import CoUxTimebar from '../../../../components/10x/ux/ux-timebar.js'
import EuiBasePage from '../eui-base.po.js'

export default class TimebarPage extends EuiBasePage {

  constructor() {
      super();
  }
  timebarByIndex(index) {
    let timebar =  new CoUxTimebar(this.mainContent);
    return timebar.byIndex(index);
  }
  timebarByTextContains(text) {
    let timebar = new CoUxTimebar(this.mainContent);
    return timebar.byTextContains(text);
  }
  timebarByTextEqualsAndIndex(text, index, normalize=true) {
    let timebar = new CoUxTimebar(this.mainContent);
    return timebar.byTextEqualsAndIndex(text, index, normalize);
  }
  timebarFromSectionById(id) {
    return new CoUxTimebar(this.sectionById(id));
  }
  timebarFromSectionWithIdByIndex(id, index) {
    const timebar = new CoUxTimebar(this.sectionById(id));
    return timebar.byIndex(index);
  }
}


